"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateGlobalFilterResponseDto = exports.updateGlobalFilterResponseSchema = exports.UpdateGlobalFilterDto = exports.updateGlobalFilterSchema = void 0;
const tag_dto_1 = require("../../tag/dto/tag.dto");
const account_dto_1 = require("./account.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.updateGlobalFilterSchema = zod_1.z.object({
    active: account_dto_1.accountSchema.shape.isGlobalFilterActive,
    tagsIds: zod_1.z.array(tag_dto_1.tagSchema.shape.id),
});
class UpdateGlobalFilterDto extends (0, zod_nestjs_1.createZodDto)(exports.updateGlobalFilterSchema) {
}
exports.UpdateGlobalFilterDto = UpdateGlobalFilterDto;
exports.updateGlobalFilterResponseSchema = account_dto_1.accountSchema.merge(zod_1.z.object({
    globalFilter: zod_1.z.array(tag_dto_1.tagSchema),
}));
class UpdateGlobalFilterResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.updateGlobalFilterResponseSchema) {
}
exports.UpdateGlobalFilterResponseDto = UpdateGlobalFilterResponseDto;
//# sourceMappingURL=update-global-filter.dto.js.map