"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTagGroupResponseDto = exports.createTagGroupResponseSchema = exports.CreateTagGroupDto = exports.createTagGroupSchema = void 0;
const tag_group_dto_1 = require("./tag-group.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
exports.createTagGroupSchema = tag_group_dto_1.tagGroupSchema.pick({
    color: true,
    name: true,
    isExclusive: true,
});
class CreateTagGroupDto extends (0, zod_nestjs_1.createZodDto)(exports.createTagGroupSchema) {
}
exports.CreateTagGroupDto = CreateTagGroupDto;
exports.createTagGroupResponseSchema = tag_group_dto_1.tagGroupSchema;
class CreateTagGroupResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.createTagGroupResponseSchema) {
}
exports.CreateTagGroupResponseDto = CreateTagGroupResponseDto;
//# sourceMappingURL=create-tag-group.dto.js.map