export declare const updateTagGroupSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
    name: string;
    color: string;
    isExclusive: boolean;
}, {
    name: string;
    color: string;
    isExclusive: boolean;
}>;
declare const UpdateTagGroupDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "name" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
    name: string;
    color: string;
    isExclusive: boolean;
}, {
    name: string;
    color: string;
    isExclusive: boolean;
}>>;
export declare class UpdateTagGroupDto extends UpdateTagGroupDto_base {
}
export declare const updateTagGroupResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}>;
declare const UpdateTagGroupResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    color: import("zod").ZodString;
    isExclusive: import("zod").ZodBoolean;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
}>>;
export declare class UpdateTagGroupResponseDto extends UpdateTagGroupResponseDto_base {
}
export {};
