"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllGroupedTagResponseDto = exports.findAllGroupedTagResponseSchema = void 0;
const tag_dto_1 = require("./tag.dto");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = __importDefault(require("zod"));
exports.findAllGroupedTagResponseSchema = zod_1.default.object({
    groups: zod_1.default.array(tag_group_dto_1.tagGroupSchema
        .pick({
        id: true,
        name: true,
        isExclusive: true,
        color: true,
    })
        .merge(zod_1.default.object({
        tags: zod_1.default.array(tag_dto_1.tagSchema.merge(zod_1.default.object({
            _count: zod_1.default.object({
                profiles: zod_1.default.number(),
            }),
        }))),
        _count: zod_1.default.object({
            tags: zod_1.default.number(),
        }),
    }))),
});
class FindAllGroupedTagResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.findAllGroupedTagResponseSchema) {
}
exports.FindAllGroupedTagResponseDto = FindAllGroupedTagResponseDto;
//# sourceMappingURL=find-all-grouped-tag.dto.js.map