"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindByGroupTagResponseDto = exports.findByGroupTagResponseDto = void 0;
const tag_dto_1 = require("./tag.dto");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = __importDefault(require("zod"));
exports.findByGroupTagResponseDto = zod_1.default.object({
    tags: zod_1.default.array(tag_dto_1.tagSchema.merge(zod_1.default.object({
        group: tag_group_dto_1.tagGroupSchema,
    }))),
});
class FindByGroupTagResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.findByGroupTagResponseDto) {
}
exports.FindByGroupTagResponseDto = FindByGroupTagResponseDto;
//# sourceMappingURL=find-by-group-tag.dto.js.map